#!/bin/sh

GLEXEMELDIR="glexemel"
XML2G="xml2g"
G2XML="g2xml"

if test $UID -ne 0; then
   echo "ERROR: You must be super user to install "$GLEXEMELDIR
   echo "(try \"sudo "$0"\" for example)"
   exit
else
   INSTALLDIR="/usr/local"
   LINKDIR="/usr/local/bin"
fi


# If we are launching from a symlink, we need to get where the symlink points to
pth="`readlink $0`"

# $pth will be empty if our start path was not a symlink
if [ $pth ]; then
	SCRIPTDIR="`dirname $pth`"
else
	SCRIPTDIR="`dirname $0`"
fi
set -v
cp -r $GLEXEMELDIR $INSTALLDIR
ln -s $INSTALLDIR/$GLEXEMELDIR/$XML2G $LINKDIR/$XML2G
ln -s $INSTALLDIR/$GLEXEMELDIR/$G2XML $LINKDIR/$G2XML
set +v

echo $GLEXEMELDIR" installed in \""$INSTALLDIR"\""
